# $Revision: 1.8 $, $Date: 2007-12-24 14:19:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	SCP
Summary:	Net::SCP - Perl extension for secure copy protocol
Summary(pl.UTF-8):	Net::SCP - perlowe rozszerzenie do obsługi protokołu bezpiecznego kopiowania
Name:		perl-Net-SCP
Version:	0.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	09005478b3eb9f151163f58d03cf83c4
URL:		http://search.cpan.org/dist/Net-SCP/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Net-SSH
BuildRequires:	perl-String-ShellQuote
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple wrappers around ssh and scp commands.

%description -l pl.UTF-8
Proste wrappery dla poleceń ssh i scp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-SCP.spec,v $
Revision 1.8  2007-12-24 14:19:22  qboosh
- generic URL

Revision 1.7  2007-12-24 01:32:20  zbyniu
- up to 0.08

Revision 1.6  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.4  2004/11/03 22:30:37  paladine
- formatting

Revision 1.3  2004/11/03 13:00:26  paladine
- spaces->tabs

Revision 1.2  2004/05/08 11:51:53  qboosh
- pl, other fixes

Revision 1.1  2004/05/07 21:34:57  radek
- new
